
execute as @s[type=#ct:allay] run function ct:mob/allay
execute as @s[type=#ct:cow] run attribute @s generic.max_health base set 16
execute as @s[type=#ct:fish] run attribute @s generic.max_health base set 6
execute as @s[type=#ct:human] run function ct:mob/human
execute as @s[type=#ct:monsters] run function ct:mob/monsters
execute as @s[type=#ct:sheep] run attribute @s generic.max_health base set 12
execute as @s[type=#skeletons] run attribute @s generic.max_health base set 14

execute as @s[type=#ct:fr/24] run attribute @s generic.follow_range base set 24
execute as @s[type=#ct:fr/32] run attribute @s generic.follow_range base set 32
execute as @s[type=#ct:fr/48] run attribute @s generic.follow_range base set 48

execute as @s[type=#ct:kr/0.2] run attribute @s generic.knockback_resistance base set 0.2
execute as @s[type=#ct:kr/0.3] run attribute @s generic.knockback_resistance base set 0.3
execute as @s[type=#ct:kr/0.4] run attribute @s generic.knockback_resistance base set 0.4
execute as @s[type=#ct:kr/0.5] run attribute @s generic.knockback_resistance base set 0.5
execute as @s[type=elder_guardian] run attribute @s generic.knockback_resistance base set 0.6

execute as @s[predicate=ct:entity/this/flags/is_baby] run function ct:mob/is_baby
execute as @s[predicate=!ct:entity/this/flags/is_baby] run function ct:mob/is_not_baby

execute as @s[type=#ct:overworld_armor] if dimension minecraft:overworld run function ct:mob/overworld_armor
execute as @s[type=#ct:the_nether_armor] if dimension minecraft:the_nether run function ct:mob/the_nether_armor

execute as @s[type=bee] run attribute @s generic.max_health base set 6
execute as @s[type=camel] run attribute @s generic.max_health base set 40
execute as @s[type=cave_spider] run attribute @s generic.max_health base set 7
execute as @s[type=chicken] run attribute @s generic.max_health base set 6
execute as @s[type=dolphin] run attribute @s generic.max_health base set 15
execute as @s[type=enderman] run function ct:mob/enderman
execute as @s[type=evoker] run attribute @s generic.max_health base set 20
execute as @s[type=frog] run function ct:mob/frog
execute as @s[type=iron_golem] run attribute @s generic.armor base set 15
execute as @s[type=parrot] run attribute @s generic.flying_speed base set 0.6
execute as @s[type=pig] run attribute @s generic.max_health base set 15
execute as @s[type=piglin_brute] run function ct:mob/piglin_brute
execute as @s[type=pillager] run attribute @s generic.armor base set 4
execute as @s[type=phantom] run function ct:mob/phantom
execute as @s[type=slime] run function ct:mob/slime
execute as @s[type=spider] run function ct:mob/spider
execute as @s[type=tadpole] run attribute @s generic.max_health base set 1
execute as @s[type=turtle] run function ct:mob/turtle
execute as @s[type=warden] run function ct:mob/warden
execute as @s[type=wither] run attribute @s generic.max_health base set 400
execute as @s[type=magma_cube] run function ct:mob/magma_cube

execute store result entity @s Health float 1 run attribute @s minecraft:generic.max_health get

tag @s add ct.complete